Hive Streaming

List event sites

GET
/v1/events/sessions/{eventSessionId}/sites

Lists sites for an event session.

Authorization

httpAuth
headerAuthorizationBearer <token>

Path Parameters

eventSessionId*string

Query Parameters

aggr?string
cursor?string

Header Parameters

platform-id*string
tenant-id*string
Origin?string
Referer?string

Response Body

application/json
  1. response
eventSessionId*string
Formatuuid
startedAt*string
Formatdate-time
updatedAt*string
Formatdate-time
hasEnded*boolean
data?array<>
pagination?
curl -X GET "https://example.com/v1/events/sessions/string/sites" \  -H "platform-id: string" \  -H "tenant-id: string"
{  "eventSessionId": "cdd6267e-a81b-463f-8906-4e81d1f0e66b",  "startedAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "hasEnded": true,  "data": [    {      "siteId": 0,      "viewersCount": 0,      "reliabilityScore": 0.1,      "cdnTraffic": 0,      "ecdnTraffic": 0    }  ],  "pagination": {    "nextCursor": "string"  }}